# $Revision: 1.29 $, $Date: 2002/08/18 15:10:33 $
Summary:	Graphical user interface toolkit for X Window Systems
Summary(pl):	Narzdzia do tworzenia GUI dla X Window
Summary(pt_BR):	Biblioteca de Widgets para o X
Name:		xforms
Version:	0.89
Release:	5
License:	non-commercial
Group:		X11/Libraries
Source0:	bxform-089-glibc2.1-x86.tgz
Source1:	bxform-089-glibc2.1-alpha.tgz
Source2:	bxform-089-glibc2.1-sparc.tgz
Source3:	bxform-089-glibc2.1-ppc.tgz
Source4:	ftp://einstein.phys.uwm.edu/pub/xforms/DOC/forms_sngl.ps.gz
Patch0:		bxform-mkconfig.patch
Patch1:		bxform-config.patch
BuildRequires:	XFree86-devel
Exclusivearch:	%{ix86} alpha sparc sparc64 ppc
URL:		http://world.std.com/~xforms/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
XForms is a GUI toolkit based on Xlib for X Window Systems. It
features a rich set of objects, such as buttons, sliders, and menus
etc. integrated into an easy and efficient object/event callback
execution model that allows fast and easy construction of
X-applications. In addition, the library is extensible and new objects
can easily be created and added to the library.

%description -l pl
XForms jest zbiorem narzdzi bazujcym na Xlib do tworzenia GUI dla
Systemw X Windows. Jego zalety to bogata ilo obiektw takich jak
przyciski, menu itp. zintegrowane w prosty i efektywny model, ktry
pozwala na szybkie i atwe tworzenie X-aplikacji.

%description -l pt_BR
XForm  uma biblioteca de widgets para o X.

%package demos
Summary:	xforms library demo programs
Summary(pl):	programy demo uywajce biblioteki XForms
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description demos
Demos using the XForms library.

%description demos -l pl
Dema uywajce biblioteki XForms.

%package devel
Summary:	xforms - header files and development documentation
Summary(pl):	Pliki nagwkowe i dokumentacja bibliteki XForms
Summary(pt_BR):	Arquivos de cabealho para desenvolvedores XForms
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	XFree86-devel

%description devel
Xforms - header files and development documentation.

%description devel -l pl
Pliki nagwkowe i dokumentacja bibliteki XForms.

%description devel -l pt_BR
Este pacote contm arquivos de cabealho e ferramentas para
desenvolvedores XForms.

%package static
Summary:	xforms static libraries
Summary(pl):	Biblioteki statyczne XForms
Summary(pt_BR):	Biblioteca esttica para desenvolvedores XForms
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Xforms static libraries.

%description static -l pl
Biblioteki statyczne XForms.

%description static -l pt_BR
Este pacote contm a verso esttica da biblioteca XForms.

%package -n fdesign
Summary:	fdesign - Forms Library User Interface Designer
Summary(pl):	fdesign - Projektant GUI
Group:		X11/Development/Tools
Requires:	%{name} = %{version}

%description -n fdesign
fdesign is a GUI builder that helps the construction of graphical user
interface in a WYSIWYG (what you see is what you get) way by allowing
the user to directly manipulate various objects, such as buttons,
sliders and menus etc. Once a satisfactory UI is constructed, the user
can save the composed interface into an external file containing some
program code. When compiled, linked with the Forms Library, and
executed, the generated code would, at run time (or print time for
PostScript output), construct the exact same interfaces as those seen
within fdesign.

%description -n fdesign -l pl
fdesign to GUI pomagajce stworzy graficzny interfejs uytkownika za
pomoc edytora WYSIWYG pozwalajcego uytkownikowi na bezporednie
manipulacje obiektami itp.

%prep
%ifarch %{ix86}
%setup -q -T -n xforms -b 0
%endif

%ifarch alpha
%setup -q -T -n xforms -b 1
%endif

%ifarch sparc sparc64
%setup -q -T -n xforms -b 2
%endif

%ifarch ppc
%setup -q -T -n xforms -b 3
%endif

%patch0 -p1
%patch1 -p1
install %{SOURCE4} .

%build
%{__make} demo CCFLAG="%{rpmcflags}"; %{__make} clean
rm -f DEMOS/*.orig

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/X11/wmconfig,usr/src/examples/xforms} \
	$RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_includedir},%{_mandir}/man{1,5}}

%{__make} install \
	BIN_DIR=$RPM_BUILD_ROOT%{_bindir} \
	LIB_DIR=$RPM_BUILD_ROOT%{_libdir} \
	MAN1_DIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	MAN5_DIR=$RPM_BUILD_ROOT%{_mandir}/man5 \
	HEADER_DIR=$RPM_BUILD_ROOT%{_includedir}

rm -rf $RPM_BUILD_ROOT%{_mandir}/man5/forms.5
echo ".so xforms.5" > $RPM_BUILD_ROOT%{_mandir}/man5/forms.5

ln -sf libforms.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libforms.so

cp -a contrib $RPM_BUILD_ROOT/usr/src/examples/xforms
install mkconfig.h $RPM_BUILD_ROOT/usr/src/examples/xforms
cp -a DEMOS $RPM_BUILD_ROOT/usr/src/examples/xforms
install FORMS/glcanvas.c $RPM_BUILD_ROOT/usr/src/examples/xforms

install DESIGN/fdesign $RPM_BUILD_ROOT%{_bindir}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc forms_sngl.ps.gz Bugs Changes Copyright Readme
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man5/*

%files devel
%defattr(644,root,root,755)
%{_libdir}/lib*.so
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files demos
%defattr(644,root,root,755)
%doc FORMS/Readme
%attr(-,root,root) /usr/src/examples/xforms

%files -n fdesign
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xforms.spec,v $
Revision 1.29  2002/08/18 15:10:33  blues
- release 5 - license fix, new doc

Revision 1.28  2002/05/07 13:50:53  kloczek
- release 4: merge translations from Conectiva.

Revision 1.27  2002/05/04 16:09:01  mmazur
- added ppc support
- had to remove URLs in Sources: because the author developed a really dumb
way of distributing files

Revision 1.26  2002/03/26 20:02:26  marcus
- addedd ppc arch

Revision 1.25  2002/02/23 05:29:54  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/02 20:41:22  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.22  2002/01/18 02:15:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/24 02:31:11  kloczek
- release 3,
- back to X11 hierarhy in Group (xforms this X11 library),
- added XFree86-devel to BuildRequires rules,
- added XFree86-devel to Requires list in devel.

Revision 1.20  2001/11/23 14:58:36  qboosh
- changed base package group to Libraries, adapterized

Revision 1.19  2001/11/23 14:51:02  kloczek
- s/Copyright/License/

Revision 1.18  2001/05/03 01:14:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.17  2001/01/27 14:38:31  misiek
typo for alpha

Revision 1.16  2001/01/27 14:34:38  misiek
sparc version is now available. STB

Revision 1.15  2000/06/15 18:32:22  jajcus
- version 0.89 --- it seems to have better keyboard/locale support ---
  important for Polish LyX users

Revision 1.13  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.12  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:55:25  baggins
- translated kloczkish into english

Revision 1.10  2000/02/07 18:25:39  baggins
- release 8
- fixed man pages (.so instead of `ln`)

Revision 1.9  1999/07/12 23:06:23  kloczek

- added using CVS keywords in %changelog (for automating them).

* Mon Jul  5 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.88-7]
- added stripping shared libraries,
- added using rpm macros.

* Fri Sep 25 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.88-6]
- addes static subpackage.

* Wed May  6 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.88-5]
- added -q %setup parameter,
- Changed Provides to libforms.so.0.86,
- added Require infos in subpackages,
- added using %%{name} and %%{version} macros in Buildroot,
- added using $RPM_OPT_FLAGS during compilation,
- spec file rewrited for using Buildroot,
- added generating separated package with fdisign,
- /usr/X11R6/lib/lib*.so moved to devel
- added %clean section,
- added URL,
- added %defattr and %attr macros in %files (allows building package from
  non-root account).

* Mon Dec  8 1997 Otto Hammersmith <otto@redhat.com>
- fixed alpha library dependency problems.

* Sun Dec  7 1997 Otto Hammersmith <otto@redhat.com>
- add provides for the .81 libs

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- buildrooted

* Wed Nov 19 1997 Otto Hammersmith <otto@redhat.com>
- updated to 0.88

* Tue Apr 8 1997 Michael Fulbright <msf@redhat.com>
- Updated package to version 0.86.
